/*
Example for Solar_Energy Click

    Date          : Aug 2017.
    Author        : Djordje Rosic

Test configuration PIC32 :
    
    MCU             : P32MX795F512L
    Dev. Board      : EasyPIC Fusion v7
    SW              : mikroC PRO for PIC32 v3.6.1

Description :

    Following example will charge the battery if it is empty, and stop charging
    when the battery is full. When battery full status is detected, device is
    disabled, but will check battery status every 10 seconds.

*/
sbit SOLAR_EN_PIN at LATC2_bit;
sbit SOLAR_INT_PIN at RE8_bit;
void systemInit()
{
    TRISC2_bit = 0;
    TRISE8_bit = 1;
}

void Solar_Energy_Init()
{
    SOLAR_EN_PIN = 0;
}

void Solar_Energy_Task()
{
    if (SOLAR_INT_PIN)
    {
        SOLAR_EN_PIN = 1;
        Delay_ms (10000);
    }
    else
    {
        SOLAR_EN_PIN = 0;
    }
}

void main()
{
    systemInit();
    Solar_Energy_Init();

    while( 1 )
    {
            Solar_Energy_Task();
    }
}